SoMFPlane(3)

NAME
SoMFPlane - The SoMFPlane class is a container for SbPlane values.

SYNOPSIS

#include <Inventor/fields/SoMFPlane.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFPlane & operator= (const SoMFPlane &field)
virtual SbBool isSame (const SoField &field) const
const SbPlane & operator[] (const int idx) const
const SbPlane * getValues (const int start) const
int find (const SbPlane &value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbPlane *newvals)
void set1Value (const int idx, const SbPlane &value)
void setValue (const SbPlane &value)
const SbPlane & operator= (const SbPlane &val)
SbBool operator== (const SoMFPlane &field) const
SbBool operator!= (const SoMFPlane &field) const
SbPlane * startEditing (void)
void finishEditing (void)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
SbPlane * values

  Additional Inherited Members

Detailed Description

The SoMFPlane class is a container for SbPlane values. This field is used where nodes, engines or other field containers need to store multiple 3D plane definitions.

See also
    SoSFPlane

Member Function Documentation

  void * SoMFPlane::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFPlane::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFPlane::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFPlane::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFPlane::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFPlane::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFPlane::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbPlane * SoMFPlane::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFPlane::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

Author

Generated automatically by Doxygen for Coin from the source code.